Subject: Re: TEST: Sleep patch #6

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 01 Dec 2004 20:22:03 +1100

On Wed, 2004-12-01 at 10:11 +0100, Colin Leroy wrote:
> On 01 Dec 2004 at 20h12, Benjamin Herrenschmidt wrote:
> 
> Hi, 
> 
> > > Compiling that. btw, you didn't add the "&& !wol" before sungem's suspend call...
> > 
> > What do you mean ? the whole code block is now in !wol...
> 
> I'm just being stupid, i didn't see that :)
> So much for trying to read patches before having had my coffee...
> 
> > Note that I'm still having problems with the cache ... I'm asking
> > Moto/Freescale...
> 
> With which CPUs? I did notice zero problems with patch #5 (without freq scaling).

On my 7455 rev 3.3 at least. cpufreq on mine uses the PMU as well, thus
approx. the same code path as sleep. By doing freq. switches in a loop
from a shell script, I can make it crash in a few iterations. It seem to
be solid if I add an ugly displacement flush before the cache flush
code, but that should not be necessary and thus makes me think something
is wrong with the code.

Ben.